
import RTIcap.*;
import java.util.*;

public class SpaceNaming
{

   Hashtable idToName = new Hashtable();
   Hashtable nameToId = new Hashtable();

   public 
   SpaceNaming() {}

   /**
   */
   public
   int getSpaceHandle(String theName)
        throws RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, 
               RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, 
               RTIcap.Deadlock, RTIcap.UnimplementedService
   {
       Integer ret = (Integer) nameToId.get(theName);

       if ( ret==null) throw new RTIcap.NameNotFound();

       return ret.intValue();

   }// end of getSpaceHandle()

   /**
   */
   public
   String getSpaceName(int theHandle)
           throws RTIcap.SpaceNotDefined, RTIcap.FederateNotExecutionMember, 
                  RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, 
                  RTIcap.Deadlock, RTIcap.UnimplementedService
   {
       String ret = (String) idToName.get(new Integer(theHandle));

       if ( ret==null) throw new RTIcap.SpaceNotDefined();

       return ret;

   }// end of getSpaceName()

}// end of class SpaceNaming
